Class | Tk::Tcllib::Plotchart::PlotSeries
In: | tk/lib/tkextlib/tcllib/plotchart.rb
Parent: | TkObject

### Methods

dataconfig id2obj new plot

### Constants

SeriesID_TBL | = | TkCore::INTERP.create_table
Series_ID | = | ['series'.freeze, '00000'.taint].freeze

### Public Class methods

id2obj(chart, id)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 840
        def self.id2obj(chart, id)
          path = chart.path
          return id unless SeriesID_TBL[path]
          SeriesID_TBL[path][id]? SeriesID_TBL[path][id]: id
        end

new(chart, keys=nil)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 846
        def initialize(chart, keys=nil)
          @parent = @chart_obj = chart
          @ppath = @chart_obj.path
          @path = @series = @id = Series_ID.join(TkCore::INTERP._ip_id_)
          # SeriesID_TBL[@id] = self
          SeriesID_TBL[@ppath] = {} unless SeriesID_TBL[@ppath]
          SeriesID_TBL[@ppath][@id] = self
          Series_ID[1].succ!
          dataconfig(keys) if keys.kind_of?(Hash)
        end

### Public Instance methods

dataconfig(key, value=None)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 861
        def dataconfig(key, value=None)
          @chart_obj.dataconfig(@series, key, value)
        end

plot(*args)

[Source]

    # File tk/lib/tkextlib/tcllib/plotchart.rb, line 857
        def plot(*args)
          @chart_obj.plot(@series, *args)
        end

[Validate]